RedCrawler API
Moderation V1

Create Mod Note V1

Create a moderator note on a user. Requires moderator privileges.

POST /api/v1/moderate/notes/create

Create a moderator note on a user. Requires moderator privileges.

Body parameters

NameTypeRequiredDescription
userstringYesUsername to add note for.
subredditstringYesSubreddit name.
notestringYesNote text.
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.
labelstringNoNote label: BOT_BAN, PERMA_BAN, BAN, ABUSE_WARNING, SPAM_WARNING, SPAM_WATCH, SOLID_CONTRIBUTOR, HELPFUL_USER.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes/create" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"user": "Motor_Tip8865", "subreddit": "test", "note": "<note>", "proxy": "<proxy>", "bearer": "<bearer>", "label": "<label>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes/create", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "user": "Motor_Tip8865",
  "subreddit": "test",
  "note": "<note>",
  "proxy": "<proxy>",
  "bearer": "<bearer>",
  "label": "<label>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes/create"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "user": "Motor_Tip8865",
  "subreddit": "test",
  "note": "<note>",
  "proxy": "<proxy>",
  "bearer": "<bearer>",
  "label": "<label>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "created": {
      "subreddit_id": "t5_hmeujo",
      "operator_id": "t2_29onm7dc32",
      "mod_action_data": {
        "action": null,
        "reddit_id": null,
        "details": null,
        "description": null
      },
      "subreddit": "RedCrawlerAPI",
      "user": "Holiday_Idea_8736",
      "operator": "Motor_Tip8865",
      "id": "ModNote_6252b927-de15-4064-b560-bc4eb07abda5",
      "user_note_data": {
        "note": "test note",
        "reddit_id": null,
        "label": "BOT_BAN"
      },
      "user_id": "t2_2dboe1xo5t",
      "created_at": 1777463773,
      "type": "NOTE"
    }
  },
  "error": null,
  "timestamp": "2026-04-29T11:56:13.338909+00:00"
}

On this page